#ifndef _SERVERSELECTION_H_
#define _SERVERSELECTION_H_

#include "VncSixWindow.h"

class ServerSelection : public CascadeSpinnerWidget {
public:
  ServerSelection(CascadeWindow* pMainWindow, VncSixWindow* vncsix);
  void Setup();
protected:
  virtual bool OnKeyDown(u32 nKey);
  virtual bool OnNavKey(u32 nKey, CascadeWindow*& pProposedNewFocusWnd);
  virtual void OnMaterialize() { SetFocus(); }
  virtual void OnPaint(CascadeBitmap & bitmap);
  void SetupCurrentOption();
  void HandleSelectEvent();

  CascadeWindow* pwinMain;

  u32 uiOptionNumber;
  char acOptionName[80];

  int iOptionsCount;

  int ciServers;
  CascadeString* astrServerNames;

  VncSixWindow* pWindowVnc;
};

#endif
